Entre SPIP 2.1 et SPIP 3

  Choisir une version, et continuer


Au printemps 2012 nous étions officiellement encore en SPIP 2.1, mais la nouvelle version SPIP 3 se faisait instamment désirer....et arrive !

Deux versions officielles (attention, même avec spip_loader) co-existent.
Quel doit être votre choix ?

Deux ans déjà : cet article mériterait une sérieuse refonte....
sauf qu’avec SPIP la compatibilité ascendante est une réalité !

Bon donc en 2015, aucun doute, commencez en SPIP 3.0 !
(même si vous aviez découvert le plugin miracle valable seulement en 1.9 ;-) [1] !


A ce jour de révision de la rédaction, la version officielle stable proposée est encore -par compatibilité- une v2.1 [2], faisant la même part aux corrections de la version SPIP 3.0 en production.

La version 3 est presque complètement compatible, étendant un certain nombre des avantages apportés par les version 2.0 et 2.1, à commencer par la généralisation des plugins et des pipelines : mais cela concerne des usages déjà pointus.. Elle est dite plus rapide et générique, mais tous les plugins ne sont pas encore migrés ; comme la redescente en SPIP2 est impossible, attention !

Mais allons encore plus loin, et recommandons la nouvelle version SPIP 3.0 si vous avez des besoins un peu pointus à très court terme, comme la création et la personnalisation de formulaires particuliers, des boucles sur .. tout !, l’ajout de nouveaux objets éditoriaux avec La Fabrique mais il est probable que vous n’etes plus débutant sur SPIP et vous saurez retrouver votre voie sur Contrib, faire une restauration SQLite corrigée [3] et si un plugin n’est pas proposé pour cette nouvelle version, vous saurez le mettre à jour, avec l’aide de PlugO-Net.

Dans le cas contraire, le manque de documentation totalement actualisée, ou l’indisponibilité de nombreux plugins pourrait vous pénaliser, et -restons raisonnables- la fiabilité éprouvée de l’ensemble [4] bati autour de SPIP 2.1 reste une force affirmée.


Merci de nous signaler les coquilles ou erreurs qui figureraient dans cette page.

[1D’autant qu’une 3.1 est déjà en exploitation dans la galaxie...

[2la 2.1.19 suite à de nombreuses corrections de sécurité, la priorité absolue pour les développeurs du Pourquoi Choisir SPIP.. En fait, six en quatre mois, et deux écrans de sécurité !

[3Il reste un bug gênant, pas géant, dans cette SPIP 3.0 : la restauration d’une sauvegarde en MySQL est incorrecte : voir http://core.spip.org/issues/2662..

[4Le passage de nombreux site de la galaxie SPIP à la version SPIP3 avant sa sortie est déjà gage de la fiabilité du core, mais il manque l’entourage..

[5D’autant qu’une 3.1 est déjà en exploitation dans la galaxie...


Liens visibles seulement pour les inscrits.

Article publié le 30 avril 2012, et actualisé en avril 2015 .

Répondre à cet article